%define qtdir /usr/lib/qt3

Name: kphone
Version: 4.1.1
Release: alt1

Summary: SIP user agent
License: GPL
Group: Networking/Instant messaging

Url: http://www.wirlab.net/kphone/
Source: %name-%version.tar.gz

# Automatically added by buildreq on Wed May 04 2005
BuildRequires: fontconfig freetype2 gcc-c++ libalsa-devel libpng-devel libqt3-devel libssl-devel libstdc++-devel xorg-x11-devel

%description
KPhone is a SIP (Session Initiation Protocol) user agent for Linux, with
which you can initiate VoIP (Voice over IP) connections over the Internet,
send Instant Messages and subscribe your friends' presence information.

KPhone is known of its superior features over other SIP clients. It is
widely used both in research and commercial world.

%prep
%setup -q -n %name

%build
subst 's,\.la,.so,g' configure

export QTDIR=%qtdir
export PATH=$QTDIR/bin:$PATH

%configure \
    --enable-alsa=no
%make_build

%install
%make DESTDIR=%buildroot install

%__install -pD -m644 icons/large-kphone.png %buildroot%_liconsdir/%name.png
%__install -pD -m644 icons/lo-kphone.png %buildroot%_iconsdir/%name.png
%__install -pD -m644 icons/mini-kphone.png %buildroot%_miconsdir/%name.png

%__mkdir_p %buildroot%_menudir
cat << EOF > %buildroot%_menudir/%name
?package(%name): needs="x11" \
 section="Networking/Instant messaging" \
 title="KPhone" \
 longtitle="SIP user agent" \
 command="%name" \
 icon="%name.png"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%doc COPYING README CHANGES
%_bindir/%name
%_datadir/apps/%name
%_datadir/%name
%_menudir/%name
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Fri May 06 2005 Denis Smirnov <mithraen@altlinux.ru> 4.1.1-alt1
- repackaged for Sisyphus

* Wed May 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 4.1.1-alt0.1
- initial release

